iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Class Methods | Properties | List of all members
MAParticleOverlay Class Reference

`#import <MAParticleOverlay.h>`

Inheritance diagram for MAParticleOverlay:

## Instance Methods
(void) | - updateOverlayOption:
| 更新粒子覆盖物选项option Update the particle overlay option More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...

## Class Methods
(instancetype) | + particleOverlayWithOption:
| 根据粒子覆盖物选项option生成MAParticleOverlay Generate MAParticleOverlay based on the particle overlay option More...

## Properties
MAParticleOverlayOptions * | overlayOption
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

该类用于定义一个粒子MAParticleOverlay, 通常MAParticleOverlay是MAParticleOverlayRenderer的model. since 6.5.0 This class is used to define a particle MAParticleOverlay, usually MAParticleOverlay is the model of MAParticleOverlayRenderer. since 6.5.0

## Method Documentation

## ◆ particleOverlayWithOption:

+ (instancetype) particleOverlayWithOption: |  | (MAParticleOverlayOptions *) | option |

根据粒子覆盖物选项option生成MAParticleOverlay Generate MAParticleOverlay based on the particle overlay option

Parameters

  option | 粒子覆盖物选项option Particle overlay option

Returns
  新生成的粒子覆盖物MAParticleOverlay Newly generated MAParticleOverlay

## ◆ updateOverlayOption:

- (void) updateOverlayOption: |  | (MAParticleOverlayOptions *) | overlayOption |

更新粒子覆盖物选项option Update the particle overlay option

Parameters

  overlayOption | 要更新的粒子覆盖物选项 The particle overlay option to be updated

## Property Documentation

## ◆ overlayOption

- (MAParticleOverlayOptions*) overlayOption
| read nonatomic strong

当前粒子覆盖物的option，如果需要修改option的配置，需要修改后重新调用setOverlayOption:方法。 The option of the current particle overlay, if you need to modify the configuration of the option, you need to call the setOverlayOption: method again after modification

The documentation for this class was generated from the following file:

- MAParticleOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。